---
title: Set.prototype.values()
slug: Web/JavaScript/Reference/Global_Objects/Set/values
tags:
  - ECMAScript 2015
  - Iterator
  - JavaScript
  - Method
  - Prototype
  - set
---
<div>{{JSRef}}</div>

<p>The <strong><code>values()</code></strong> method returns a new iterator object that contains the values for each element in the <code>Set</code> object in insertion order.</p>

<div class="notecard note">
<p><strong>Note</strong>: The <strong><code>keys()</code></strong> method is an alias for this method (for similarity with {{jsxref("Map")}} objects), hence the <code>keys()</code> page redirecting here. It behaves exactly the same and returns <strong>values</strong> of <code>Set</code> elements.</p>
</div>

<div>{{EmbedInteractiveExample("pages/js/set-prototype-values.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>mySet</em>.values();</pre>

<h3 id="Return_value">Return value</h3>

<p>A new iterator object containing the values for each element in the given <code>Set</code>, in insertion order.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_values">Using values()</h3>

<pre class="brush:js notranslate">var mySet = new Set();
mySet.add('foo');
mySet.add('bar');
mySet.add('baz');

var setIter = mySet.values();

console.log(setIter.next().value); // "foo"
console.log(setIter.next().value); // "bar"
console.log(setIter.next().value); // "baz"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-set.prototype.values', 'Set.prototype.values')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Set.values")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Set.prototype.entries()")}}</li>
</ul>
